Page MenuHome

VSE Linked external scene with audio with input Sequencer only works if the scene is NOT also linked with input Camera
Confirmed, NormalPublicBUG

Description

System Information
Operating system: Linux-4.9.0-9-amd64-x86_64-with-debian-9.9 64 Bits
Graphics card: Mesa DRI Intel(R) HD Graphics 520 (Skylake GT2) Intel Open Source Technology Center 4.5 (Core Profile) Mesa 13.0.6

Blender Version
Broken: version: 2.81 (sub 3), branch: master, commit date: 2019-08-20 22:35, hash: rBdaba3e871ff5
Worked: Haven't yet tried other versions.

Short description of error
VSE: Linking external scene with audio with input Sequencer only works if the scene is NOT also linked with input Camera.

Exact steps for others to reproduce the error

  1. Create file A with Scene-A and add audio to it on the VSE.
  2. Create file B
  3. From the VSE in file B, link the Scene-A from file A. Set it's input to "Sequencer". On file B, playing the strip will correctly play the sound from Scene-A.
  4. Duplicate (or re-instance) Scene-A on the VSE sequencer. If the Input is still "Sequencer", both clips will play the audio, as expected.
  5. Switch one of the Scene-A instances to use the Camera as input.

Expected behaviour:

We should be able to both see the Camera strip and hear the Sequence strip for Scene-A

Actual behaviour:

For all the strips of Scene-A that are set to Input "Sequencer", the audio will stop playing.

Note: I've determined that it is not that the audio crashes: other clips with sound on the sequencer keep playing normally.

Note: If I delete the strip with Input Camera and leave only the input Sequencer strips, the problem will not go away, unless I save the file like this and "revert" to it.

I cannot find a suitable work-around. In the video that I'm producing I need to edit local sound effects on the shot sequence, and incorporate it on the larger edit.
I cannot, therefore, both see and hear my sequence on the host sequencer.

If a workaround is possible (that is not reconstruct and re-import the sounds on the original scene) I'd be a happy man :-)
Thanks!

Event Timeline

Richard Antalik (ISS) lowered the priority of this task from 90 to High.Oct 6 2019, 8:05 AM

I'm removing the 2.82 tag from this bug, since I don't think it's a showstopper and it was already tagged for 2.81 and not fixed.

Hello dear devs, how can one see where in the priority stack does this ticket float?
If there was a mechanism for "for tickets with the same depth on the back-log, click here -> paypal -> dev fund to give it a bit more weight" I'd happily use it for this one. : )
Thanks!

@gabriel montagné (gabriel.montagne) I haven't got time to work on this in past months, now I do and there are only 4 high priority bugs, so this should be fixed in 2.83

There is quick hack attached so you can build it if you can, I can make only windows builds. or if you need help you can visit https://blender.chat vse room and we can work out some temporary solution.

[...] so this should be fixed in 2.83

Awesome sauce : ) that's great news!

[...] There is quick hack attached so you can build it if you can [...]

True! I'll see if I can build it from the hack, that'd be great.

Thanks again for the update, and thanks for the help. Cheers.

Thanks :-) I built with your patch and it worked really nice for my setup. I left a note on the patch conversation as well. Thanks.

Richard Antalik (ISS) lowered the priority of this task from High to Normal.Apr 20 2020, 1:31 PM
Richard Antalik (ISS) edited projects, added BF Blender; removed BF Blender (2.83).

I will lower priority here, because this requires some design consideration and ideally testing time. So it is not really good idea to work on this in BCON3 stage.

I guess I could keep high priority as this issue was introduced relatively recently, but I think that original design wasn't really thought through to begin with, so there isn't really any known good state to try to achieve.

Could an interim solution be just letting the sound through for both Camera and Sequencer? At least we could use it until the redesign of how these should be linked is fleshed out?
I was very happy to see the bcon3 tag on this one, even if just for those glorious 3 days : )

Well it was on bcon3 workboard for last 2 releases.

I keep this report in mind very much and will try to look in solutions as soon as I can. I just can't promise it to correctly design implement and test within a month. which is time limit for bcon3.

Of course, it's just me being annoying : ) Please do what you need to do! I have that workaround thing you'd prepared and it totally works for me. No problem Richard, I know you guys are crazy busy.